cdac.medinfo.sdk.hl7282.baselibs

## Class EIP

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType
  - - cdac.medinfo.sdk.hl7282.baselibs.EIP

- All Implemented Interfaces:
    IDataType

      public class EIP
      extends CompositeDataType

  EIP - Entity Identifier Pair

  This data type specifies an identifier assigned to an entity by either the placer or the filler system. If both components are populated the identifiers must refer to the same entity.

  Represents an HL7 EIP data type. This data type has the following attributes:

  1. Placer Assigned Identifier (EI)Optional
  2. Filler Assigned Identifier (EI)Optional

  This class provides accessors & mutators for the elements mentioned above. This class override the equal method, to check whether some other object is "equal to" this one.

  User can also create Data Type through `DataElementFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EIP()` Default Constructor for EIP
    `EIP(int iComponentType, IDataTypeMap objIDataTypeMap)` Constructor for EIP class which takes two arguments and sets the value in the respective member variable.
    `EIP(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, IDataTypeMap objIDataTypeMap)` Constructor for EIP class which takes five arguments and sets the value in the respective member variable.
    `EIP(int iComponentType, int iMinLength, int iMaxLength, java.lang.String strCLength, int ITableNo, IDataTypeMap objIDataTypeMap)` Constructor for EIP class which takes six arguments and sets the value in the respective member variable.
    `EIP(int iMinLength, int iMaxLength, java.lang.String strCLength, int iComponentType)` Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
    `EIP(int iMinLength, int iMaxLength, java.lang.String strCLength, int iTableNo, int iComponentType)` Constructor for EIP class which takes five arguments and sets the value in the respective member variable.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object objObject)` This method checks the equality of Object.
    `EI` | `getFillerAssignedIdentifier()` Returns Filler Assigned Identifier
    `EI` | `getPlacerAssignedIdentifier()` Returns Placer Assigned Identifier
    `void` | `setFillerAssignedIdentifier(EI objFillerAssignedIdentifier)` Sets the FillerAssignedIdentifier.
    `void` | `setPlacerAssignedIdentifier(EI objPlacerAssignedIdentifier)` Sets the PlacerAssignedIdentifier.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.CompositeDataType

      `copy, dumpDataType, getAttributes, getDataTypeName, getLength, getValue, isPrimitive, read, setValue, validate, write, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EIP

          public EIP()

      Default Constructor for EIP

    - #### EIP

          public EIP(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for CQ class which takes four arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### EIP

          public EIP(int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int iTableNo,
             int iComponentType)
              throws InvalidComponentTypeException

      Constructor for EIP class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### EIP

          public EIP(int iComponentType,
             IDataTypeMap objIDataTypeMap)

      Constructor for EIP class which takes two arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### EIP

          public EIP(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             IDataTypeMap objIDataTypeMap)

      Constructor for EIP class which takes five arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

    - #### EIP

          public EIP(int iComponentType,
             int iMinLength,
             int iMaxLength,
             java.lang.String strCLength,
             int ITableNo,
             IDataTypeMap objIDataTypeMap)

      Constructor for EIP class which takes six arguments and sets the value in the respective member variable.
      Parameters:
        `objIDataTypeMap` - object of Data Type Map.
        `iComponentType` - The Type of the component i.e Component or a subcomponent.
        `iMinLength` - The Minimum length the DataType can have.
        `iMaxLength` - The Maximum length the DataType can have.
        `iCLength` - The Conformance length the DataType can have.
        `iTableNo` - The Table number to which the value for the component is specified.
      Throws:
        `InvalidComponentTypeException` - - if Component Type is not specified or valid.

  - ### Method Detail

    - #### setPlacerAssignedIdentifier

          public void setPlacerAssignedIdentifier(EI objPlacerAssignedIdentifier)

      Sets the PlacerAssignedIdentifier.
      Parameters:
        `objPlacerAssignedIdentifier` - Specifies an identifier assigned to an entity by the placer system.

    - #### setFillerAssignedIdentifier

          public void setFillerAssignedIdentifier(EI objFillerAssignedIdentifier)

      Sets the FillerAssignedIdentifier.
      Parameters:
        `objFillerAssignedIdentifier` - Specifies an identifier assigned to an entity by the filler system.

    - #### getPlacerAssignedIdentifier

          public EI getPlacerAssignedIdentifier()

      Returns Placer Assigned Identifier
      Returns:
        EI - data type.

    - #### getFillerAssignedIdentifier

          public EI getFillerAssignedIdentifier()

      Returns Filler Assigned Identifier
      Returns:
        EI - data type.

    - #### equals

          public boolean equals(java.lang.Object objObject)

      This method checks the equality of Object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `objObject` - object of Object class.
      Returns:
        boolean - shows success or failure of the comparison.